# class Raven::Context

### Attributes

extra[R]
rack_env[RW]
tags[R]
user[RW]

### Public Class Methods

clear!() click to toggle source

    # File lib/raven/context.rb, line 7
    def self.clear!
      Thread.current[:sentry_context] = nil
    end

current() click to toggle source

    # File lib/raven/context.rb, line 3
    def self.current
      Thread.current[:sentry_context] ||= new
    end

new() click to toggle source

    # File lib/raven/context.rb, line 14
    def initialize
      @extra = {}
      @tags = {}
      @user = {}
      @rack_env = nil
    end